#!/usr/bin/env python
"""
TEST_STDLIB_BASELIST.PY -- test script for plib.stdlib.baselist
Copyright (C) 2008 by Peter A. Donis

Released under the GNU General Public License, Version 2
See the LICENSE and README files for more information

This script contains unit tests for the baselist class. Note
that this also tests the abstractlist class, since baselist
is just an implementation of the required index and value
checking behavior promised by abstractlist.
"""

import unittest

from plib.stdlib import baselist

import stdlib_abstract_testlib

class testlist(baselist):
    def __init__(self, seq=None):
        self._storage = []
        baselist.__init__(self, seq)
    def __len__(self):
        return len(self._storage)
    def _get_data(self, index):
        return self._storage[index]
    def _set_data(self, index, value):
        self._storage[index] = value
    def _add_data(self, index, value):
        self._storage[index:index] = [value]
    def _del_data(self, index):
        del self._storage[index]

class Test_baselist(stdlib_abstract_testlib.MutableSequenceTest):
    type2test = testlist

if __name__ == '__main__':
    unittest.main()
